<!-- +----------------------------------------------------------------------
| 麦沃德科技赋能开发者，助力商协会发展
+----------------------------------------------------------------------
| Copyright (c) 2017～2024  www.wdsxh.cn    All rights reserved.
+----------------------------------------------------------------------
| 沃德商协会系统并不是自由软件，不加密，并不代表开源，未经许可不可自由转售和商用
+----------------------------------------------------------------------
| Author: MY WORLD Team <bd@maiwd.cn>   www.maiwd.cn
+----------------------------------------------------------------------
| 通知详情 开发者: 麦沃德科技-半夏
+---------------------------------------------------------------------- -->

<template>
	<view class="container">
		<!-- 标题栏 -->
		<title-bar title="通知详情"></title-bar>
		<!-- 内容区 -->
		<view class="container-main" v-if="loadEnd">
			<view class="main-box">
				<view class="box-info">
					<view class="info-title">{{noticeInfo.title}}</view>
					<view class="info-date">{{noticeInfo.createtime}}</view>
				</view>
				<view class="box-content">
					<mp-html :content="noticeInfo.content"></mp-html>
				</view>
			</view>
		</view>
		<!-- 底部导航 -->
		<tab-bar></tab-bar>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				// 加载完成
				loadEnd: false,
				// 通知id
				noticeId: null,
				// 通知详情
				noticeInfo: {},
			}
		},
		onLoad(option) {
			uni.showLoading({
				title: "加载中"
			})
			this.noticeId = option.id
			this.getNoticeInfo(() => {
				this.loadEnd = true
				uni.hideLoading()
			})
		},
		methods: {
			// 获取通知详情
			getNoticeInfo(fn) {
				this.$util.request("mine.notice.details", {
					id: this.noticeId
				}).then(res => {
					if (fn) fn()
					if (res.code == 1) {
						this.noticeInfo = res.data
					} else {
						uni.showToast({
							title: res.msg,
							icon: 'none'
						})
					}
				}).catch(error => {
					if (fn) fn()
					console.error('获取通知详情 ', error)
				})
			},
		},
	}
</script>

<style lang="scss">
	.container {
		.container-main {
			padding: 32rpx;

			.main-box {
				padding: 32rpx;
				border-radius: 10rpx;
				background: #FFF;

				.box-info {
					padding-bottom: 32rpx;
					border-bottom: 1rpx solid rgba(0, 0, 0, 0.1);

					.info-title {
						color: #5A5B6E;
						font-size: 32rpx;
						font-weight: 600;
						line-height: 40rpx;
					}

					.info-date {
						margin-top: 8rpx;
						color: #979797;
						font-size: 24rpx;
						line-height: 34rpx;
					}
				}

				.box-content {
					margin-top: 32rpx;
					color: #5A5B6E;
					font-size: 28rpx;
					line-height: 48rpx;
				}
			}
		}
	}
</style>